The criticality scale with how many assets sit at each level.
curl --request POST \
--url https://app.assetinfinity.ai/api/criticality_settings \
--header 'Content-Type: application/json' \
--data '
{
"asset_types_defaulting_here": 123,
"assets": 123,
"code": "<string>",
"color": "<string>",
"default_response_minutes": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inverts_a_higher_rank": true,
"is_active": true,
"name": "<string>",
"rank": 123,
"row_version": 123
}
'import requests
url = "https://app.assetinfinity.ai/api/criticality_settings"
payload = {
"asset_types_defaulting_here": 123,
"assets": 123,
"code": "<string>",
"color": "<string>",
"default_response_minutes": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inverts_a_higher_rank": True,
"is_active": True,
"name": "<string>",
"rank": 123,
"row_version": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
asset_types_defaulting_here: 123,
assets: 123,
code: '<string>',
color: '<string>',
default_response_minutes: 123,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
inverts_a_higher_rank: true,
is_active: true,
name: '<string>',
rank: 123,
row_version: 123
})
};
fetch('https://app.assetinfinity.ai/api/criticality_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Asset configuration
The criticality scale with how many assets sit at each level.
A scale where everything is critical is a scale that decides nothing.
POST
/
criticality_settings
The criticality scale with how many assets sit at each level.
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
criticality_settings
The criticality scale with how many assets sit at each level.
A scale where everything is critical is a scale that decides nothing.
Maximum string length:
40Maximum string length:
20Note: This is a Primary Key.
Maximum string length:
120Response
201
Created
Related topics
Asset settingsThe asset registerSensors and condition alertsSetting up the plantInside an assetWas this page helpful?
⌘I

